<?php

namespace Litecms\Testimonial\Repositories\Eloquent;

use Litecms\Testimonial\Interfaces\TestimonialsRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litecms\Testimonial\Repositories\Eloquent\Presenters\TestimonialsItemPresenter;


class TestimonialsRepository extends BaseRepository implements TestimonialsRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litecms.testimonial.testimonials.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.testimonial.testimonials.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return TestimonialsItemPresenter::class;
    }
}
